Package com.independentsoft.office.odf

# Enum Class NoteClass

java.lang.Object
java.lang.Enum<NoteClass>
com.independentsoft.office.odf.NoteClass

All Implemented Interfaces:
  `Serializable`, `Comparable<NoteClass>`, `Constable`

public enum NoteClass extends Enum<NoteClass>
Represents the class of a note.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENDNOTE`
  Note appears at the footer of a page.
  `FOOTNOTE`
  Note appears at the end of a chapter or document.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NoteClass`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static NoteClass[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FOOTNOTE

    public static final NoteClass FOOTNOTE
    Note appears at the end of a chapter or document.

  - ### ENDNOTE

    public static final NoteClass ENDNOTE
    Note appears at the footer of a page.

  - ### NONE

    public static final NoteClass NONE
    None.

- ## Method Details

  - ### values

    public static NoteClass[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NoteClass valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null